[% META title="Le Bricioline, formicai in costruzione" %]
[% page_title="Formicai in costruzione" %]

[% dataset = Catalyst.session.sack.new_ant_nests; %]
[% IF dataset.size == 0 %]

<p>Non sembrano esserci formicai in costruzione.</p>

<p>Questo potrebbe significare sia che tutti quelli che erano in
costruzione sono stati definitivamente creati oppure che alcuni
formicai che erano in costruzione sono stati cancellati dal demone
delle Bricioline perché hanno passato troppo tempo inattivi.
</p>

<p>In quest'ultimo caso i fondatori confermati dovrebbero aver
ricevuto una mail.
</p>

[% ELSE %]

<p>
Questi di seguito sono i formica in attesa di essere attivati nelle
Bricioline. Per ciascun formicaio è indicato se sono in attesa o meno
di altri fondatori. Una volta che un formicaio ha raggiunto il numero
minimo di fondatori la sua apertura è solo una questione di tempo.
</p>

<p>Se abitate in un CAP in cui esiste un formicaio in costruzione che
però non accetta più fondatori potete sempre iscrivervi come
"spettatori" del formicaio in questione. Sarete informati
immediatamente quando il formicaio sarà attivo o, malauguratamente,
dovesse annullarsi la sua costruzione: in tal caso potreste da
spettatore diventare fondatore.
</p>


[% 
    tb_name = "view_new_ant_nests";



    fields = [
      {	
	db_name  => 'id',
	out_name => "CAP:",
        pre_cell => '<a href="[' _ '% Catalyst.uri_for(\'/newantnest/view_\') _ cur_cell  %' _ ']">',
        post_cell=> '</a>'
      },
      {
	db_name  => 'name',
	out_name => "Nome:",
      },
      {
	db_name  => 'requests',
	out_name => 'Spettatori:',
        	numeric_sort => 1,
      },
      {
        db_name  => 'custom_cell',
        out_name => 'Accetta fondatori?',
        custom_cell => '[' _ '% IF row.state == 10; "Si"; ELSE; "No"; END
      %' _ ']',
        sortable => 1,
        sort_name => 'state',
}
      ];


	
%]

[% IF sorted_tables.$tb_name == "" %]
[% sorted_tables.$tb_name = "id" %]
[% END %]

<h2>Formicai in costruzione: </h2>

[% PROCESS sortable_dataset_table.tt %]

[% END %]